Your message dated Wed, 04 Aug 2010 09:17:07 +0000
with message-id <e1oga5z-0001tk...@franck.debian.org>
and subject line Bug#591602: fixed in amsynth 1.2.3-2
has caused the Debian Bug report #591602,
regarding amsynth: Fails to create a "new instance"
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
591602: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=591602
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: amsynth
Version: 1.2.0-3.2
Severity: normal

Since amSynth calls «amSynth» (and not «amsynth») when we select the option
«New Instance» [0] it fails to create it.

This patch "fixes" this issue, or perhaps creating a symlink (pointing
/usr/bin/amsynth to /usr/bin/amSynth) could work too.

[0] In the Menu: File -> New Instance

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (900, 'stable'), (800, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-rc5-686 (SMP w/2 CPU cores)
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages amsynth depends on:
ii  libasound2                    1.0.23-1   shared library for ALSA applicatio
ii  libatk1.0-0                   1.30.0-1   The ATK accessibility toolkit
ii  libc6                         2.11.1-3   Embedded GNU C Library: Shared lib
ii  libcairo2                     1.8.8-2    The Cairo 2D vector graphics libra
ii  libcairomm-1.0-1              1.8.0-1    C++ wrappers for Cairo (shared lib
ii  libgcc1                       1:4.4.2-9  GCC support library
ii  libglib2.0-0                  2.24.1-1   The GLib library of C routines
ii  libglibmm-2.4-1c2a            2.24.2-1   C++ wrapper for the GLib toolkit (
ii  libgtk2.0-0                   2.20.1-1   The GTK+ graphical user interface 
ii  libgtkmm-2.4-1c2a             1:2.20.3-1 C++ wrappers for GTK+ (shared libr
ii  libjack0.100.0-0              0.109.2-5  JACK Audio Connection Kit (librari
ii  libpango1.0-0                 1.26.2-1   Layout and rendering of internatio
ii  libsigc++-2.0-0c2a            2.0.18-2   type-safe Signal Framework for C++
ii  libsndfile1                   1.0.21-2   Library for reading/writing audio 
ii  libstdc++6                    4.4.2-9    The GNU Standard C++ Library v3

amsynth recommends no packages.

amsynth suggests no packages.

-- no debconf information

Saludos,
Mauro

--
JID: lavaram...@nube.usla.org.ar | http://lizaur.github.com/
2B82 A38D 1BA5 847A A74D 6C34 6AB7 9ED6 C8FD F9C1
Since amSynth calls 'amSynth' when we try to create a /new instance/ it fails, replacing this line "fixes" that.
Index: amsynth/amsynth-1.2.3/src/GUI/GUI.cc
===================================================================
--- amsynth.orig/amsynth-1.2.3/src/GUI/GUI.cc	2010-08-04 01:23:49.232407211 -0300
+++ amsynth/amsynth-1.2.3/src/GUI/GUI.cc	2010-08-04 01:24:05.080386696 -0300
@@ -201,7 +201,7 @@
 	//
 	Menu *menu_file = manage (new Menu());
 	MenuList& list_file = menu_file->items ();
-	list_file.push_back (MenuElem("New Instance", sigc::bind(mem_fun(*this, &GUI::command_run),"amSynth")));
+	list_file.push_back (MenuElem("New Instance", sigc::bind(mem_fun(*this, &GUI::command_run),"amsynth")));
 	list_file.push_back (SeparatorElem());
 	list_file.push_back (MenuElem("_Open Bank",Gtk::AccelKey("<control>O"), mem_fun(*this, &GUI::bank_open)));
 //	list_file.push_back (MenuElem("_Save Bank","<control>S", mem_fun(*this, &GUI::bank_save)));

--- End Message ---
--- Begin Message ---
Source: amsynth
Source-Version: 1.2.3-2

We believe that the bug you reported is fixed in the latest version of
amsynth, which is due to be installed in the Debian FTP archive:

amsynth_1.2.3-2.debian.tar.gz
  to main/a/amsynth/amsynth_1.2.3-2.debian.tar.gz
amsynth_1.2.3-2.dsc
  to main/a/amsynth/amsynth_1.2.3-2.dsc
amsynth_1.2.3-2_i386.deb
  to main/a/amsynth/amsynth_1.2.3-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <ales...@debian.org> (supplier of updated amsynth package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 04 Aug 2010 10:56:50 +0200
Source: amsynth
Binary: amsynth
Architecture: source i386
Version: 1.2.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers 
<pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <ales...@debian.org>
Description: 
 amsynth    - two oscillator software synthesizer
Closes: 591602
Changes: 
 amsynth (1.2.3-2) unstable; urgency=low
 .
   * Switch to 3.0 (quilt).
   * Update my email address.
   * Bump Standards.
   * Add .gitignore file.
   * Add git-buildpackage config file.
   * Call "amsynth" and not "amSynth" to create new instance (Closes:
     #591602)
   * Use autotools_dev add-on to update config.{guess,sub} before running
     configure.
   * Add -Wl,--as-needed to linking options.
Checksums-Sha1: 
 8ab66b670ecd306a8391aadbde6ce02308b96414 1426 amsynth_1.2.3-2.dsc
 cc3a0be96dce7d8302af8e5a51be5c5a5650ce53 11848 amsynth_1.2.3-2.debian.tar.gz
 0c28197e3c09dbb91885afe55512955cdc62d879 275658 amsynth_1.2.3-2_i386.deb
Checksums-Sha256: 
 095e1574e8479cb04785d70edcba998931cc6f77890e667a1e2663336b5b39fc 1426 
amsynth_1.2.3-2.dsc
 f1e4f22577bd8e7457ca6279fad68d70efb517fbe640d3d9cfcfdc4ff784dba9 11848 
amsynth_1.2.3-2.debian.tar.gz
 5df7d11bf92c520e991e5c08e49a72af5ef34ac60fcbc17b104735c74d37c607 275658 
amsynth_1.2.3-2_i386.deb
Files: 
 174e62366f4a4988994c020c281cd855 1426 sound optional amsynth_1.2.3-2.dsc
 c6e018034a6382d334739c7ad7410675 11848 sound optional 
amsynth_1.2.3-2.debian.tar.gz
 c100b517b6d9b6ff636eacda8fa044df 275658 sound optional amsynth_1.2.3-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxZLSYACgkQRdSMfNz8P9C7UwCdHKPb4VmDvcPtvBMb+4YCKiZv
+ScAnAnTLmM1oqz1/pgrsiDd1CrM1s11
=0xWs
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to